DefaultDataNodeFactory (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.configuration.runtime, class: DefaultDataNodeFactory

# Class DefaultDataNodeFactory

java.lang.Object
org.apache.cayenne.configuration.runtime.DefaultDataNodeFactory

All Implemented Interfaces:
  `DataNodeFactory`

public class DefaultDataNodeFactory extends Object implements DataNodeFactory

Since:
  4.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected DbAdapterFactory`
  `adapterFactory`
  `protected BatchTranslatorFactory`
  `batchTranslatorFactory`
  `protected DataSourceFactory`
  `dataSourceFactory`
  `protected JdbcEventLogger`
  `jdbcEventLogger`
  `protected AdhocObjectFactory`
  `objectFactory`
  `protected RowReaderFactory`
  `rowReaderFactory`
  `protected SchemaUpdateStrategyFactory`
  `schemaUpdateStrategyFactory`
  `protected SelectTranslatorFactory`
  `selectTranslatorFactory`
  `protected SQLTemplateProcessor`
  `sqlTemplateProcessor`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultDataNodeFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataNode`
  `createDataNode(DataNodeDescriptor nodeDescriptor)`
  `protected DataNode`
  `doCreateDataNode(String name)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### jdbcEventLogger

    protected JdbcEventLogger jdbcEventLogger

  - ### rowReaderFactory

    protected RowReaderFactory rowReaderFactory

  - ### dataSourceFactory

    protected DataSourceFactory dataSourceFactory

  - ### batchTranslatorFactory

    protected BatchTranslatorFactory batchTranslatorFactory

  - ### selectTranslatorFactory

    protected SelectTranslatorFactory selectTranslatorFactory

  - ### adapterFactory

    protected DbAdapterFactory adapterFactory

  - ### objectFactory

    protected AdhocObjectFactory objectFactory

  - ### schemaUpdateStrategyFactory

    protected SchemaUpdateStrategyFactory schemaUpdateStrategyFactory

  - ### sqlTemplateProcessor

    protected SQLTemplateProcessor sqlTemplateProcessor

- ## Constructor Details

  - ### DefaultDataNodeFactory

    public DefaultDataNodeFactory()

- ## Method Details

  - ### createDataNode

    public DataNode createDataNode(DataNodeDescriptor nodeDescriptor)
    Specified by:
      `createDataNode` in interface `DataNodeFactory`

  - ### doCreateDataNode

    protected DataNode doCreateDataNode(String name)